<?php


return  
    [
        'model' => [
            'model' => \Litecms\Account\Models\Costcenter::class,
            'table' => 'litecms_account_costcenters',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['parent_id',  'company_id',  'branch_id',  'name',  'description',  'user_id'],
            'translatables' => [],
            'upload_folder' => 'account/costcenter',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "parent_id", 
                "type" => "text", 
                "label" => 'account::costcenter.label.parent_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "company_id", 
                "type" => "text", 
                "label" => 'account::costcenter.label.company_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "branch_id", 
                "type" => "text", 
                "label" => 'account::costcenter.label.branch_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'account::costcenter.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'account::costcenter.label.description', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'parent_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::costcenter.label.parent_id',
                "placeholder" => 'account::costcenter.placeholder.parent_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'company_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::costcenter.label.company_id',
                "placeholder" => 'account::costcenter.placeholder.company_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'branch_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::costcenter.label.branch_id',
                "placeholder" => 'account::costcenter.placeholder.branch_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::costcenter.label.name',
                "placeholder" => 'account::costcenter.placeholder.name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::costcenter.label.description',
                "placeholder" => 'account::costcenter.placeholder.description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'account/costcenter/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'account/costcenter/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'account/costcenter',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'account/costcenter',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'account/costcenter',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'account/costcenter',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'account::costcenter.label.created_at',
            'name' => 'account::costcenter.label.name',
            'status' => 'account::costcenter.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "account::costcenter.groups.main",
                'group' => "main.main",
                'title' => "account::costcenter.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "account::costcenter.groups.details",
                'group' => "main.details",
                'title' => "account::costcenter.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "account::costcenter.groups.images",
                'group' => "main.images",
                'title' => "account::costcenter.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "account::costcenter.groups.settings",
                'group' => "main.settings",
                'title' => "account::costcenter.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Account',
            'module' => 'Costcenter',
        ],

        
        
    ];
