<?php


return  
    [
        'model' => [
            'model' => \Litecms\Account\Models\Detail::class,
            'table' => 'litecms_account_details',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['journal_id',  'costcenter_id',  'ledger_id',  'coa_id',  'coa_name',  'debit',  'credit',  'sort_order'],
            'translatables' => [],
            'upload_folder' => 'account/detail',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "journal_id", 
                "type" => "text", 
                "label" => 'account::detail.label.journal_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "costcenter_id", 
                "type" => "text", 
                "label" => 'account::detail.label.costcenter_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ledger_id", 
                "type" => "text", 
                "label" => 'account::detail.label.ledger_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "coa_id", 
                "type" => "text", 
                "label" => 'account::detail.label.coa_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "coa_name", 
                "type" => "text", 
                "label" => 'account::detail.label.coa_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "debit", 
                "type" => "text", 
                "label" => 'account::detail.label.debit', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "credit", 
                "type" => "text", 
                "label" => 'account::detail.label.credit', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sort_order", 
                "type" => "text", 
                "label" => 'account::detail.label.sort_order', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'journal_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::detail.label.journal_id',
                "placeholder" => 'account::detail.placeholder.journal_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'costcenter_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::detail.label.costcenter_id',
                "placeholder" => 'account::detail.placeholder.costcenter_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ledger_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::detail.label.ledger_id',
                "placeholder" => 'account::detail.placeholder.ledger_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'coa_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::detail.label.coa_id',
                "placeholder" => 'account::detail.placeholder.coa_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'coa_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::detail.label.coa_name',
                "placeholder" => 'account::detail.placeholder.coa_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'debit',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::detail.label.debit',
                "placeholder" => 'account::detail.placeholder.debit',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'credit',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::detail.label.credit',
                "placeholder" => 'account::detail.placeholder.credit',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sort_order',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::detail.label.sort_order',
                "placeholder" => 'account::detail.placeholder.sort_order',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'account/detail/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'account/detail/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'account/detail',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'account/detail',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'account/detail',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'account/detail',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'account::detail.label.created_at',
            'name' => 'account::detail.label.name',
            'status' => 'account::detail.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "account::detail.groups.main",
                'group' => "main.main",
                'title' => "account::detail.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "account::detail.groups.details",
                'group' => "main.details",
                'title' => "account::detail.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "account::detail.groups.images",
                'group' => "main.images",
                'title' => "account::detail.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "account::detail.groups.settings",
                'group' => "main.settings",
                'title' => "account::detail.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Account',
            'module' => 'Detail',
        ],

        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'account::detail.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['account.detail.copy', 'account.detail.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'account::detail.label.count',
                        "placeholder" => 'account::detail.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'account::detail.label.comment',
                        "placeholder" => 'account::detail.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'account::detail.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'account::detail.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
