<?php


return  
    [
        'model' => [
            'model' => \Litecms\Account\Models\Receipt::class,
            'table' => 'litecms_account_receipts',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['type',  'ref',  'status',  'user_id',  'invoice_id',  'amount',  'pay_date',  'payment_mode',  'contact_type',  'deposit_slip_no',  'bank_transfer_no',  'cheque_no',  'cheque_date',  'credit_card_no',  'bond_details',  'draft_no',  'bank_id',  'branch',  'remarks'],
            'translatables' => [],
            'upload_folder' => 'account/receipt',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'account::receipt.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'account::receipt.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "invoice_id", 
                "type" => "text", 
                "label" => 'account::receipt.label.invoice_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "amount", 
                "type" => "text", 
                "label" => 'account::receipt.label.amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "pay_date", 
                "type" => "text", 
                "label" => 'account::receipt.label.pay_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "payment_mode", 
                "type" => "text", 
                "label" => 'account::receipt.label.payment_mode', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "contact_type", 
                "type" => "text", 
                "label" => 'account::receipt.label.contact_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "deposit_slip_no", 
                "type" => "text", 
                "label" => 'account::receipt.label.deposit_slip_no', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "bank_transfer_no", 
                "type" => "text", 
                "label" => 'account::receipt.label.bank_transfer_no', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cheque_no", 
                "type" => "text", 
                "label" => 'account::receipt.label.cheque_no', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cheque_date", 
                "type" => "text", 
                "label" => 'account::receipt.label.cheque_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "credit_card_no", 
                "type" => "text", 
                "label" => 'account::receipt.label.credit_card_no', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "bond_details", 
                "type" => "text", 
                "label" => 'account::receipt.label.bond_details', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "draft_no", 
                "type" => "text", 
                "label" => 'account::receipt.label.draft_no', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "bank_id", 
                "type" => "text", 
                "label" => 'account::receipt.label.bank_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "branch", 
                "type" => "text", 
                "label" => 'account::receipt.label.branch', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "remarks", 
                "type" => "text", 
                "label" => 'account::receipt.label.remarks', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'account::receipt.label.type',
                "placeholder" => 'account::receipt.placeholder.type',
                "rules" => '',
                "options" => function(){
                    return trans('account::receipt.options.type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::receipt.label.ref',
                "placeholder" => 'account::receipt.placeholder.ref',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'invoice_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::receipt.label.invoice_id',
                "placeholder" => 'account::receipt.placeholder.invoice_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::receipt.label.amount',
                "placeholder" => 'account::receipt.placeholder.amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'pay_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'account::receipt.label.pay_date',
                "placeholder" => 'account::receipt.placeholder.pay_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'payment_mode',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'account::receipt.label.payment_mode',
                "placeholder" => 'account::receipt.placeholder.payment_mode',
                "rules" => '',
                "options" => function(){
                    return trans('account::receipt.options.payment_mode');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'contact_type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'account::receipt.label.contact_type',
                "placeholder" => 'account::receipt.placeholder.contact_type',
                "rules" => '',
                "options" => function(){
                    return trans('account::receipt.options.contact_type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'deposit_slip_no',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::receipt.label.deposit_slip_no',
                "placeholder" => 'account::receipt.placeholder.deposit_slip_no',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'bank_transfer_no',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::receipt.label.bank_transfer_no',
                "placeholder" => 'account::receipt.placeholder.bank_transfer_no',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cheque_no',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::receipt.label.cheque_no',
                "placeholder" => 'account::receipt.placeholder.cheque_no',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cheque_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'account::receipt.label.cheque_date',
                "placeholder" => 'account::receipt.placeholder.cheque_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'credit_card_no',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::receipt.label.credit_card_no',
                "placeholder" => 'account::receipt.placeholder.credit_card_no',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'bond_details',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::receipt.label.bond_details',
                "placeholder" => 'account::receipt.placeholder.bond_details',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'draft_no',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::receipt.label.draft_no',
                "placeholder" => 'account::receipt.placeholder.draft_no',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'bank_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::receipt.label.bank_id',
                "placeholder" => 'account::receipt.placeholder.bank_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'branch',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::receipt.label.branch',
                "placeholder" => 'account::receipt.placeholder.branch',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'remarks',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::receipt.label.remarks',
                "placeholder" => 'account::receipt.placeholder.remarks',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'account/receipt/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'account/receipt/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'account/receipt',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'account/receipt',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'account/receipt',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'account/receipt',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'account::receipt.label.created_at',
            'name' => 'account::receipt.label.name',
            'status' => 'account::receipt.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "account::receipt.groups.main",
                'group' => "main.main",
                'title' => "account::receipt.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "account::receipt.groups.details",
                'group' => "main.details",
                'title' => "account::receipt.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "account::receipt.groups.images",
                'group' => "main.images",
                'title' => "account::receipt.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "account::receipt.groups.settings",
                'group' => "main.settings",
                'title' => "account::receipt.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Account',
            'module' => 'Receipt',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Litecms\Account\Models\Receipt::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'account::receipt.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['account.receipt.copy', 'account.receipt.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'account::receipt.label.count',
                        "placeholder" => 'account::receipt.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'account::receipt.label.comment',
                        "placeholder" => 'account::receipt.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'account::receipt.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'account::receipt.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
