<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsAccountCoasTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_account_coas
         */
        Schema::create('litecms_account_coas', function ($table) {
            $table->increments('id');
            $table->integer('parent_id')->nullable();
            $table->integer('nest_left')->nullable();
            $table->integer('nest_right')->nullable();
            $table->integer('nest_depth')->nullable();
            $table->integer('company_id')->nullable();
            $table->integer('branch_id')->nullable();
            $table->enum('is_group', ['Yes', 'No'])->nullable();
            $table->enum('type', ['Yes', 'No'])->nullable();
            $table->string('code', 20)->nullable();
            $table->string('name', 200)->nullable();
            $table->string('description', 200)->nullable();
            $table->text('remarks')->nullable();
            $table->decimal('debit', 12,2)->nullable();
            $table->decimal('credit', 12,2)->nullable();
            $table->decimal('balance', 12,2)->nullable();
            $table->enum('debit_or_credit', ['Yes', 'No'])->nullable();
            $table->string('icon', 50)->nullable();
            $table->string('color', 50)->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 30)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_account_coas');
    }
}
