<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsAccountInvoicesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_account_invoices
         */
        Schema::create('litecms_account_invoices', function ($table) {
            $table->increments('id');
            $table->enum('type', ['Yes', 'No'])->nullable();
            $table->string('ref', 30)->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('invoicable_id')->nullable();
            $table->string('invoicable_type', 255)->nullable();
            $table->date('invoice_date')->nullable();
            $table->text('remarks')->nullable();
            $table->longText('items')->nullable();
            $table->float('grand_total')->nullable();
            $table->float('agency_amount')->nullable();
            $table->float('discount')->nullable();
            $table->integer('due_amount')->nullable();
            $table->date('due_date')->nullable();
            $table->enum('invoice_status', ['Yes', 'No'])->nullable();
            $table->enum('contact_type', ['Yes', 'No'])->nullable();
            $table->longText('notes')->nullable();
            $table->longText('documents')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_account_invoices');
    }
}
