<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsAccountReceiptsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_account_receipts
         */
        Schema::create('litecms_account_receipts', function ($table) {
            $table->increments('id');
            $table->enum('type', ['Yes', 'No'])->nullable();
            $table->string('ref', 30)->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('invoice_id')->nullable();
            $table->float('amount')->nullable();
            $table->date('pay_date')->nullable();
            $table->enum('payment_mode', ['Yes', 'No'])->nullable();
            $table->enum('contact_type', ['Yes', 'No'])->nullable();
            $table->string('deposit_slip_no', 255)->nullable();
            $table->string('bank_transfer_no', 255)->nullable();
            $table->string('cheque_no', 255)->nullable();
            $table->date('cheque_date')->nullable();
            $table->string('credit_card_no', 255)->nullable();
            $table->string('bond_details', 255)->nullable();
            $table->string('draft_no', 255)->nullable();
            $table->integer('bank_id')->nullable();
            $table->string('branch', 255)->nullable();
            $table->text('remarks')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_account_receipts');
    }
}
