<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsAccountInvoiceItemsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_account_invoice_items
         */
        Schema::create('litecms_account_invoice_items', function ($table) {
            $table->increments('id');
            $table->string('ref', 100)->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('itemable_id')->nullable();
            $table->string('itemable_type', 255)->nullable();
            $table->integer('type_id')->nullable();
            $table->enum('item_type', ['Yes', 'No'])->nullable();
            $table->text('description')->nullable();
            $table->decimal('debit', 10,2)->nullable();
            $table->decimal('credit', 10,2)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_account_invoice_items');
    }
}
