<?php

namespace Litecms\Account\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class CoaTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_account_coas')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.account.coa.view',
                'name'      => 'View Coa',
            ],
            [
                'slug'      => 'litecms.account.coa.create',
                'name'      => 'Create Coa',
            ],
            [
                'slug'      => 'litecms.account.coa.edit',
                'name'      => 'Update Coa',
            ],
            [
                'slug'      => 'litecms.account.coa.delete',
                'name'      => 'Delete Coa',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/account/coa',
                'name'        => 'Coa',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/account/coa',
                'name'        => 'Coa',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'coa',
                'name'        => 'Coa',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Account',
                'module'    => 'Coa',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.account.coa.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
