<?php

namespace Litecms\Account\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class InvoiceItemsTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_account_invoice_items')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.account.invoice_items.view',
                'name'      => 'View InvoiceItems',
            ],
            [
                'slug'      => 'litecms.account.invoice_items.create',
                'name'      => 'Create InvoiceItems',
            ],
            [
                'slug'      => 'litecms.account.invoice_items.edit',
                'name'      => 'Update InvoiceItems',
            ],
            [
                'slug'      => 'litecms.account.invoice_items.delete',
                'name'      => 'Delete InvoiceItems',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/account/invoice_items',
                'name'        => 'InvoiceItems',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/account/invoice_items',
                'name'        => 'InvoiceItems',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'invoice_items',
                'name'        => 'InvoiceItems',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Account',
                'module'    => 'InvoiceItems',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.account.invoice_items.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
