<?php

namespace Litecms\Account\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class ReceiptTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_account_receipts')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.account.receipt.view',
                'name'      => 'View Receipt',
            ],
            [
                'slug'      => 'litecms.account.receipt.create',
                'name'      => 'Create Receipt',
            ],
            [
                'slug'      => 'litecms.account.receipt.edit',
                'name'      => 'Update Receipt',
            ],
            [
                'slug'      => 'litecms.account.receipt.delete',
                'name'      => 'Delete Receipt',
            ],
            
                        [
                'slug'      => 'litecms.account.receipt.verify',
                'name'      => 'Verify Receipt',
            ],
            [
                'slug'      => 'litecms.account.receipt.approve',
                'name'      => 'Approve Receipt',
            ],
            [
                'slug'      => 'litecms.account.receipt.publish',
                'name'      => 'Publish Receipt',
            ],
            [
                'slug'      => 'litecms.account.receipt.unpublish',
                'name'      => 'Unpublish Receipt',
            ],
            [
                'slug'      => 'litecms.account.receipt.cancel',
                'name'      => 'Cancel Receipt',
            ],
            [
                'slug'      => 'litecms.account.receipt.archive',
                'name'      => 'Archive Receipt',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/account/receipt',
                'name'        => 'Receipt',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/account/receipt',
                'name'        => 'Receipt',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'receipt',
                'name'        => 'Receipt',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Account',
                'module'    => 'Receipt',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.account.receipt.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
