Lavalite package that provides account management facility for the cms.

## Installation

Run the below command form the root folder of lavalite.

```
    composer require "litecms/account"
```


## Migration and seeds

```
    php artisan migrate
    php artisan db:seed --class=Litecms\\Account\\Seeders\\AccountTableSeeder
```

## Publishing

* Configuration
```
    php artisan vendor:publish --provider="Litecms\Account\Providers\AccountServiceProvider" --tag="config"
```
* Language
```
    php artisan vendor:publish --provider="Litecms\Account\Providers\AccountServiceProvider" --tag="lang"
```
* Views
```
    php artisan vendor:publish --provider="Litecms\Account\Providers\AccountServiceProvider" --tag="view"
```


## URLs and APIs


### Web Urls

* Admin
```
    http://path-to-route-folder/admin/account/{modulename}
```

* User
```
    http://path-to-route-folder/user/account/{modulename}
```

* Public
```
    http://path-to-route-folder/accounts
```


### API endpoints

These endpoints can be used with or without `/api/`
And also the user can be varied depend on the type of users, eg user, client, admin etc.

#### Resource

* List
```
    http://path-to-route-folder/api/user/account/{modulename}
    METHOD: GET
```

* Create
```
    http://path-to-route-folder/api/user/account/{modulename}
    METHOD: POST
```

* Edit
```
    http://path-to-route-folder/api/user/account/{modulename}/{id}
    METHOD: PUT
```

* Delete
```
    http://path-to-route-folder/api/user/account/{modulename}/{id}
    METHOD: DELETE
```

#### Public

* List
```
    http://path-to-route-folder/api/account/{modulename}
    METHOD: GET
```

* Single Item
```
    http://path-to-route-folder/api/account/{modulename}/{slug}
    METHOD: GET
```

#### Others

* Report
```
    http://path-to-route-folder/api/user/account/{modulename}/report/{report}
    METHOD: GET
```

* Export/Import
```
    http://path-to-route-folder/api/user/account/{modulename}/exim/{exim}
    METHOD: POST
```

* Action
```
    http://path-to-route-folder/api/user/account/{modulename}/action/{id}/{action}
    METHOD: PATCH
```

* Actions
```
    http://path-to-route-folder/api/user/account/{modulename}/actions/{action}
    METHOD: PATCH
```

* Workflow
```
    http://path-to-route-folder/api/user/account/{modulename}/workflow/{id}/{transition}
    METHOD: PATCH
```
