<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for invoice in account package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  invoice module in account package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Invoice',
    'names' => 'Invoices',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Invoices',
        'sub' => 'Invoices'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'type' => 
            [
                                
                [
                    'key'    => 'pm',
                    'value'  => 'pm',
                    'text'   => 'pm',
                ],
                                
                [
                    'key'    => 'str',
                    'value'  => 'str',
                    'text'   => 'str',
                ],
                                
                [
                    'key'    => 'sale',
                    'value'  => 'sale',
                    'text'   => 'sale',
                ],
                                
                [
                    'key'    => 'rent',
                    'value'  => 'rent',
                    'text'   => 'rent',
                ],
                                
            ],

        'invoice_status' => 
            [
                                
                [
                    'key'    => 'Paid',
                    'value'  => 'Paid',
                    'text'   => 'Paid',
                ],
                                
                [
                    'key'    => 'Partly Paid',
                    'value'  => 'Partly Paid',
                    'text'   => 'Partly Paid',
                ],
                                
                [
                    'key'    => 'Unpaid',
                    'value'  => 'Unpaid',
                    'text'   => 'Unpaid',
                ],
                                
            ],

        'contact_type' => 
            [
                                
                [
                    'key'    => 'Tenant',
                    'value'  => 'Tenant',
                    'text'   => 'Tenant',
                ],
                                
                [
                    'key'    => 'Landlord',
                    'value'  => 'Landlord',
                    'text'   => 'Landlord',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'type'                       => 'Please select type',
        'ref'                        => 'Please enter ref',
        'user_id'                    => 'Please enter user id',
        'invoicable_id'              => 'Please enter invoicable id',
        'invoicable_type'            => 'Please enter invoicable type',
        'invoice_date'               => 'Please select invoice date',
        'remarks'                    => 'Please enter remarks',
        'items'                      => 'Please enter items',
        'grand_total'                => 'Please enter grand total',
        'agency_amount'              => 'Please enter agency amount',
        'discount'                   => 'Please enter discount',
        'due_amount'                 => 'Please enter due amount',
        'due_date'                   => 'Please select due date',
        'invoice_status'             => 'Please select invoice status',
        'contact_type'               => 'Please select contact type',
        'notes'                      => 'Please enter notes',
        'documents'                  => 'Please enter documents',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'type'                       => 'Type',
        'ref'                        => 'Ref',
        'user_id'                    => 'User id',
        'invoicable_id'              => 'Invoicable id',
        'invoicable_type'            => 'Invoicable type',
        'invoice_date'               => 'Invoice date',
        'remarks'                    => 'Remarks',
        'items'                      => 'Items',
        'grand_total'                => 'Grand total',
        'agency_amount'              => 'Agency amount',
        'discount'                   => 'Discount',
        'due_amount'                 => 'Due amount',
        'due_date'                   => 'Due date',
        'invoice_status'             => 'Invoice status',
        'contact_type'               => 'Contact type',
        'notes'                      => 'Notes',
        'documents'                  => 'Documents',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
