<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for receipt in account package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  receipt module in account package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Receipt',
    'names' => 'Receipts',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Receipts',
        'sub' => 'Receipts'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'type' => 
            [
                                
                [
                    'key'    => 'pm',
                    'value'  => 'pm',
                    'text'   => 'pm',
                ],
                                
                [
                    'key'    => 'str',
                    'value'  => 'str',
                    'text'   => 'str',
                ],
                                
                [
                    'key'    => 'sale',
                    'value'  => 'sale',
                    'text'   => 'sale',
                ],
                                
                [
                    'key'    => 'rent',
                    'value'  => 'rent',
                    'text'   => 'rent',
                ],
                                
            ],

        'status' => 
            [
                                
                [
                    'key'    => 'Bounced',
                    'value'  => 'Bounced',
                    'text'   => 'Bounced',
                ],
                                
                [
                    'key'    => 'On hold',
                    'value'  => 'On hold',
                    'text'   => 'On hold',
                ],
                                
                [
                    'key'    => 'Paid',
                    'value'  => 'Paid',
                    'text'   => 'Paid',
                ],
                                
                [
                    'key'    => 'Unpaid',
                    'value'  => 'Unpaid',
                    'text'   => 'Unpaid',
                ],
                                
            ],

        'payment_mode' => 
            [
                                
                [
                    'key'    => 'Cash',
                    'value'  => 'Cash',
                    'text'   => 'Cash',
                ],
                                
                [
                    'key'    => 'Cheque',
                    'value'  => 'Cheque',
                    'text'   => 'Cheque',
                ],
                                
                [
                    'key'    => 'Bank Transfer',
                    'value'  => 'Bank Transfer',
                    'text'   => 'Bank Transfer',
                ],
                                
                [
                    'key'    => 'Credit card',
                    'value'  => 'Credit card',
                    'text'   => 'Credit card',
                ],
                                
                [
                    'key'    => 'Draft',
                    'value'  => 'Draft',
                    'text'   => 'Draft',
                ],
                                
                [
                    'key'    => 'Deposit Bond',
                    'value'  => 'Deposit Bond',
                    'text'   => 'Deposit Bond',
                ],
                                
                [
                    'key'    => 'Bank Deposit',
                    'value'  => 'Bank Deposit',
                    'text'   => 'Bank Deposit',
                ],
                                
                [
                    'key'    => 'PDC',
                    'value'  => 'PDC',
                    'text'   => 'PDC',
                ],
                                
            ],

        'contact_type' => 
            [
                                
                [
                    'key'    => 'Landlord',
                    'value'  => 'Landlord',
                    'text'   => 'Landlord',
                ],
                                
                [
                    'key'    => 'Tenant',
                    'value'  => 'Tenant',
                    'text'   => 'Tenant',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'type'                       => 'Please select type',
        'ref'                        => 'Please enter ref',
        'status'                     => 'Please select status',
        'user_id'                    => 'Please enter user id',
        'invoice_id'                 => 'Please enter invoice id',
        'amount'                     => 'Please enter amount',
        'pay_date'                   => 'Please select pay date',
        'payment_mode'               => 'Please select payment mode',
        'contact_type'               => 'Please select contact type',
        'deposit_slip_no'            => 'Please enter deposit slip no',
        'bank_transfer_no'           => 'Please enter bank transfer no',
        'cheque_no'                  => 'Please enter cheque no',
        'cheque_date'                => 'Please select cheque date',
        'credit_card_no'             => 'Please enter credit card no',
        'bond_details'               => 'Please enter bond details',
        'draft_no'                   => 'Please enter draft no',
        'bank_id'                    => 'Please enter bank id',
        'branch'                     => 'Please enter branch',
        'remarks'                    => 'Please enter remarks',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'type'                       => 'Type',
        'ref'                        => 'Ref',
        'status'                     => 'Status',
        'user_id'                    => 'User id',
        'invoice_id'                 => 'Invoice id',
        'amount'                     => 'Amount',
        'pay_date'                   => 'Pay date',
        'payment_mode'               => 'Payment mode',
        'contact_type'               => 'Contact type',
        'deposit_slip_no'            => 'Deposit slip no',
        'bank_transfer_no'           => 'Bank transfer no',
        'cheque_no'                  => 'Cheque no',
        'cheque_date'                => 'Cheque date',
        'credit_card_no'             => 'Credit card no',
        'bond_details'               => 'Bond details',
        'draft_no'                   => 'Draft no',
        'bank_id'                    => 'Bank id',
        'branch'                     => 'Branch',
        'remarks'                    => 'Remarks',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
