<?php

// Web routes  for account.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for receipt

Route::prefix('{guard}/receipt')->group(function () {

    Route::get('/workflow/{receipt}/{user}', 'ReceiptWorkflowController@get')
        ->name('litecms.account.workflow');
    Route::post('/workflow/{receipt}/{user}', 'ReceiptWorkflowController@post');

    Route::get('/action/{receipt}/{user}', 'ReceiptActionController@get')
        ->name('litecms.account.action');
    Route::post('/action/{receipt}/{user}', 'ReceiptActionController@post');

});


// Workflow routes for invoice

Route::prefix('{guard}/invoice')->group(function () {

    Route::get('/workflow/{invoice}/{user}', 'InvoiceWorkflowController@get')
        ->name('litecms.account.workflow');
    Route::post('/workflow/{invoice}/{user}', 'InvoiceWorkflowController@post');

    Route::get('/action/{invoice}/{user}', 'InvoiceActionController@get')
        ->name('litecms.account.action');
    Route::post('/action/{invoice}/{user}', 'InvoiceActionController@post');

});


// Workflow routes for invoice_items

Route::prefix('{guard}/invoice_items')->group(function () {


    Route::get('/action/{invoice_items}/{user}', 'InvoiceItemsActionController@get')
        ->name('litecms.account.action');
    Route::post('/action/{invoice_items}/{user}', 'InvoiceItemsActionController@post');

});


// Workflow routes for product

Route::prefix('{guard}/product')->group(function () {


    Route::get('/action/{product}/{user}', 'ProductActionController@get')
        ->name('litecms.account.action');
    Route::post('/action/{product}/{user}', 'ProductActionController@post');

});


// Workflow routes for coa

Route::prefix('{guard}/coa')->group(function () {


    Route::get('/action/{coa}/{user}', 'CoaActionController@get')
        ->name('litecms.account.action');
    Route::post('/action/{coa}/{user}', 'CoaActionController@post');

});
// Workflow routes for ledger

Route::prefix('{guard}/ledger')->group(function () {

    Route::get('/workflow/{ledger}/{user}', 'LedgerWorkflowController@get')
        ->name('litecms.account.workflow');
    Route::post('/workflow/{ledger}/{user}', 'LedgerWorkflowController@post');

    Route::get('/action/{ledger}/{user}', 'LedgerActionController@get')
        ->name('litecms.account.action');
    Route::post('/action/{ledger}/{user}', 'LedgerActionController@post');

});
// Workflow routes for detail

Route::prefix('{guard}/detail')->group(function () {


    Route::get('/action/{detail}/{user}', 'DetailActionController@get')
        ->name('litecms.account.action');
    Route::post('/action/{detail}/{user}', 'DetailActionController@post');

});

