<?php

namespace Litecms\Account\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Litecms\Account\Models\Coa;


class CoaAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'litecms.account.coa';
    protected $eventClass = \Litecms\Account\Events\CoaAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Coa $coa, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $coa;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Coa $coa, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $coa = $coa->create($attributes);
        return $coa;
    }

    public function update(Coa $coa, array $request)
    {
        $attributes = $request;
        $coa->update($attributes);
        return $coa;
    }

    public function destroy(Coa $coa, array $request)
    {
        $coa->delete();
        return $coa;
    }

    public function copy(Coa $coa, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $coa = $coa->replicate();
            $coa->created_at = Carbon::now();
            $coa->save();
            return $coa;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $coa->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $coa;
    }


}
