<?php

namespace Litecms\Account\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Litecms\Account\Models\InvoiceItems;


class InvoiceItemsAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'litecms.account.invoice_items';
    protected $eventClass = \Litecms\Account\Events\InvoiceItemsAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, InvoiceItems $invoice_items, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $invoice_items;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(InvoiceItems $invoice_items, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $invoice_items = $invoice_items->create($attributes);
        return $invoice_items;
    }

    public function update(InvoiceItems $invoice_items, array $request)
    {
        $attributes = $request;
        $invoice_items->update($attributes);
        return $invoice_items;
    }

    public function destroy(InvoiceItems $invoice_items, array $request)
    {
        $invoice_items->delete();
        return $invoice_items;
    }

    public function copy(InvoiceItems $invoice_items, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $invoice_items = $invoice_items->replicate();
            $invoice_items->created_at = Carbon::now();
            $invoice_items->save();
            return $invoice_items;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $invoice_items->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $invoice_items;
    }


}
