<?php

namespace Litecms\Account\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Litecms\Account\Models\Journal;


class JournalAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'litecms.account.journal';
    protected $eventClass = \Litecms\Account\Events\JournalAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Journal $journal, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $journal;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Journal $journal, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $journal = $journal->create($attributes);
        return $journal;
    }

    public function update(Journal $journal, array $request)
    {
        $attributes = $request;
        $journal->update($attributes);
        return $journal;
    }

    public function destroy(Journal $journal, array $request)
    {
        $journal->delete();
        return $journal;
    }

    public function copy(Journal $journal, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $journal = $journal->replicate();
            $journal->created_at = Carbon::now();
            $journal->save();
            return $journal;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $journal->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $journal;
    }


}
