<?php

namespace Litecms\Account\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Litecms\Account\Models\Ledger;


class LedgerAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'litecms.account.ledger';
    protected $eventClass = \Litecms\Account\Events\LedgerAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Ledger $ledger, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $ledger;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Ledger $ledger, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $ledger = $ledger->create($attributes);
        return $ledger;
    }

    public function update(Ledger $ledger, array $request)
    {
        $attributes = $request;
        $ledger->update($attributes);
        return $ledger;
    }

    public function destroy(Ledger $ledger, array $request)
    {
        $ledger->delete();
        return $ledger;
    }

    public function copy(Ledger $ledger, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $ledger = $ledger->replicate();
            $ledger->created_at = Carbon::now();
            $ledger->save();
            return $ledger;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $ledger->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $ledger;
    }


}
