<?php

namespace Litecms\Account\Actions;

use Illuminate\Http\Request;
use Litecms\Account\Models\Ledger;
use Litepie\Actions\Concerns\AsAction;
use Illuminate\Support\Str;

class LedgerWorkflow
{
    use AsAction;
    
    private $model;
    private $namespace = 'litecms.account.$ledger';
    private $transition;
    protected $eventClass = \Litecms\Account\Events\LedgerWorkflow::class;
    private $function;
    private $request;

    public function handle(string $transition, Ledger $ledger, array $request = [])
    {
        $this->model = $ledger;
        $this->request = $request;
        $this->transition = $transition;
        $this->function = Str::camel($transition);
        $this->executeWorkflow();
        return $this->model;
    }

    public function submit()
    {
        $this->model->status = 'Pending';
        $this->model->save();
        return $this->model;
    }

    public function approve()
    {
        $this->model->status = 'Approved';
        $this->model->save();
        return $this->model;
    }

    public function reject()
    {
        $this->model->status = 'Draft';
        $this->model->save();
        return $this->model;
    }

    public function publish()
    {
        $this->model->status = 'Published';
        $this->model->save();
        return $this->model;
    }

    public function unpublish()
    {
        $this->model->status = 'Unpublished';
        $this->model->save();
        return $this->model;
    }

    public function archive()
    {
        $this->model->status = 'Archived';
        $this->model->save();
        return $this->model;
    }

    public function unarchive()
    {
        $this->model->status = 'Draft';
        $this->model->save();
        return $this->model;
    }
}
