<?php

namespace Litecms\Account\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Litecms\Account\Models\Receipt;


class ReceiptAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'litecms.account.receipt';
    protected $eventClass = \Litecms\Account\Events\ReceiptAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Receipt $receipt, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $receipt;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Receipt $receipt, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $receipt = $receipt->create($attributes);
        return $receipt;
    }

    public function update(Receipt $receipt, array $request)
    {
        $attributes = $request;
        $receipt->update($attributes);
        return $receipt;
    }

    public function destroy(Receipt $receipt, array $request)
    {
        $receipt->delete();
        return $receipt;
    }

    public function copy(Receipt $receipt, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $receipt = $receipt->replicate();
            $receipt->created_at = Carbon::now();
            $receipt->save();
            return $receipt;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $receipt->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $receipt;
    }


}
