<?php

namespace Litecms\Account\Policies;

use Illuminate\Foundation\Auth\User as Authenticatable;
use Litecms\Account\Models\Costcenter;

class CostcenterPolicy
{


    /**
     * Determine if the given user can view the costcenter.
     *
     * @param Authenticatable $user
     * @param Costcenter $costcenter
     *
     * @return bool
     */
    public function view(Authenticatable $user, Costcenter $costcenter)
    {
        if ($authUser->canDo('account.costcenter.view') && $authUser->isAdmin() || $user->isClient()) {
            return true;
        }

        return $costcenter->is_owner;
    }

    /**
     * Determine if the given user can create a costcenter.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function create(Authenticatable $user)
    {
        return  $authUser->canDo('account.costcenter.create');
    }

    /**
     * Determine if the given user can update the given costcenter.
     *
     * @param Authenticatable $user
     * @param Costcenter $costcenter
     *
     * @return bool
     */
    public function update(Authenticatable $user, Costcenter $costcenter)
    {
        if ($user->canDo('account.costcenter.edit') && $user->isAdmin()) {
            return true;
        }

        return $costcenter->is_owner;
    }

    /**
     * Determine if the given user can delete the given costcenter.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function destroy(Authenticatable $user, Costcenter $costcenter)
    {
        return $costcenter->is_owner;
    }

    /**
     * Determine if the user can perform a given action ve.
     *
     * @param [type] $user    [description]
     * @param [type] $ability [description]
     *
     * @return [type] [description]
     */
    public function before($user, $ability)
    {
        if ($user->isSuperuser()) {
            return true;
        }
    }
}
