<?php

namespace Litecms\Account\Policies;

use Litecms\Account\Models\InvoiceItems;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait InvoiceItemsAction
{

    /**
     * Determine if the given user can copy the given invoice_items.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, InvoiceItems $invoice_items)
    {

        if ($authUser->canDo('account.invoice_items.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given invoice_items.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, InvoiceItems $invoice_items) {

        if ($authUser->canDo('account.invoice_items.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given invoice_items.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, InvoiceItems $invoice_items)
    {

        if ($authUser->canDo('account.invoice_items.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
