<?php

namespace Litecms\Account\Policies;

use Litecms\Account\Models\Ledger;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait LedgerAction
{

    /**
     * Determine if the given user can copy the given ledger.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Ledger $ledger)
    {

        if ($authUser->canDo('account.ledger.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given ledger.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Ledger $ledger) {

        if ($authUser->canDo('account.ledger.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given ledger.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Ledger $ledger)
    {

        if ($authUser->canDo('account.ledger.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
