<?php


namespace Litecms\Account\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait LedgerReport
{

    /**
     * Determine if the given user can approve the given ledger.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('account.ledger.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given ledger.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('account.ledger.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given ledger.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('account.ledger.report.download')) {
            return true;
        }

        return false;
    }
}
