<?php

namespace Litecms\Account\Policies;

use Litecms\Account\Models\Receipt;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait ReceiptAction
{

    /**
     * Determine if the given user can copy the given receipt.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Receipt $receipt)
    {

        if ($authUser->canDo('account.receipt.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given receipt.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Receipt $receipt) {

        if ($authUser->canDo('account.receipt.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given receipt.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Receipt $receipt)
    {

        if ($authUser->canDo('account.receipt.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
