<?php


namespace Litecms\Account\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait ReceiptReport
{

    /**
     * Determine if the given user can approve the given receipt.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('account.receipt.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given receipt.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('account.receipt.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given receipt.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('account.receipt.report.download')) {
            return true;
        }

        return false;
    }
}
