<?php

namespace Litecms\Account\Providers;

use Litepie\Foundation\Support\Providers\ActionServiceProvider as ServiceProvider;

class ActionServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function actions()
    {
        return [
            \Litecms\Account\Models\Receipt::class
                 => config('litecms.account.receipt.actions')        \Litecms\Account\Models\Invoice::class
                 => config('litecms.account.invoice.actions')        \Litecms\Account\Models\InvoiceItems::class
                 => config('litecms.account.invoice_items.actions')        \Litecms\Account\Models\Product::class
                 => config('litecms.account.product.actions')        \Litecms\Account\Models\Coa::class
                 => config('litecms.account.coa.actions')        \Litecms\Account\Models\Ledger::class
                 => config('litecms.account.ledger.actions')        \Litecms\Account\Models\Detail::class
                 => config('litecms.account.detail.actions')
            ];
    }

}
