<?php

namespace Litecms\Account\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Receipt policy
        \Litecms\Account\Models\Receipt::class 
        => \Litecms\Account\Policies\ReceiptPolicy::class,// Bind Invoice policy
        \Litecms\Account\Models\Invoice::class 
        => \Litecms\Account\Policies\InvoicePolicy::class,// Bind InvoiceItems policy
        \Litecms\Account\Models\InvoiceItems::class 
        => \Litecms\Account\Policies\InvoiceItemsPolicy::class,// Bind Product policy
        \Litecms\Account\Models\Product::class 
        => \Litecms\Account\Policies\ProductPolicy::class,// Bind Coa policy
        \Litecms\Account\Models\Coa::class 
        => \Litecms\Account\Policies\CoaPolicy::class,// Bind Costcenter policy
        \Litecms\Account\Models\Costcenter::class 
        => \Litecms\Account\Policies\CostcenterPolicy::class,// Bind Ledger policy
        \Litecms\Account\Models\Ledger::class 
        => \Litecms\Account\Policies\LedgerPolicy::class,// Bind Journal policy
        \Litecms\Account\Models\Journal::class 
        => \Litecms\Account\Policies\JournalPolicy::class,// Bind Detail policy
        \Litecms\Account\Models\Detail::class 
        => \Litecms\Account\Policies\DetailPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
