<?php

namespace Litecms\Account\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Litecms\Account\Events\AccountAction;
use Litecms\Account\Events\AccountWorkflow;
use Litecms\Account\Listeners\AccountAction as AccountActionListener;
use Litecms\Account\Listeners\AccountWorkflow as AccountWorkflowListener;


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
    
        AccountAction::class => [
            AccountActionListener::class,
        ],
        AccountWorkflow::class => [
            AccountWorkflowListener::class,
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param \Illuminate\Contracts\Events\Dispatcher $events
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
